org.deidentifier.arx.framework.lattice

## Class TransformationList<T>

- java.lang.Object
- - org.deidentifier.arx.framework.lattice.TransformationList<T>

Type Parameters:
  `T` -

    public abstract class TransformationList<T>
    extends java.lang.Object

List of transformations

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`TransformationList()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `addAllOfFromTo(TransformationList<?> successors, int from, int to)` Adds from to
`static TransformationList<org.deidentifier.arx.framework.lattice.SolutionSpaceIntArray.IntArrayWrapper>` `create(java.util.List<org.deidentifier.arx.framework.lattice.SolutionSpaceIntArray.IntArrayWrapper> result)` Creates a new list for transformations managed by int arrays
`static TransformationList<java.lang.Long>` `create(cern.colt.list.LongArrayList result)` Creates a new list for transformations managed by longs
`abstract T` `getQuick(int i)` Returns an element
`abstract int` `size()` Returns the size

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransformationList

    public TransformationList()

### Method Detail

#### create

    public static TransformationList<org.deidentifier.arx.framework.lattice.SolutionSpaceIntArray.IntArrayWrapper> create(java.util.List<org.deidentifier.arx.framework.lattice.SolutionSpaceIntArray.IntArrayWrapper> result)

Creates a new list for transformations managed by int arrays

Parameters:
  `lattice` -
Returns:

#### create

    public static TransformationList<java.lang.Long> create(cern.colt.list.LongArrayList result)

Creates a new list for transformations managed by longs

Parameters:
  `result` -
Returns:

#### addAllOfFromTo

    public abstract void addAllOfFromTo(TransformationList<?> successors,
                                        int from,
                                        int to)

Adds from to

Parameters:
  `successors` -
  `from` -
  `to` -

#### getQuick

    public abstract T getQuick(int i)

Returns an element

Parameters:
  `i` -
Returns:

#### size

    public abstract int size()

Returns the size

Returns: